Tools
The following endpoints allow you to manage tools.
Updates a tool configuration with a given scenario ID by passing new values in the request body. Any property that is not provided will be left unchanged. In the response, it returns all details of the updated tool configuration of the underlying scenario, including properties that were not changed.
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
The ID of the scenario. You can get the scenarioId with the List scenarios API call.
112The name of the tool.
A description of the tool.
The module of the tool. The module is a JSON object that contains the module ID, version, mapper, parameters, and metadata.
Scenario was updated successfully
A module in the blueprint places a locked connection or key the user is not allowed to use (IM002, placement guard). Returned only when locked-entities enforcement is enabled for the organization; an untouched frozen module and releasing a locked entity (swapping it out or removing its module) always pass.
The scenario was modified concurrently between the placement-guard check and the save (SC409). The save was not applied; retry the request.
PATCH /api/v2/scenarios/tools/{scenarioId} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 24
{
"name": "New tool name"
}{
"tool": {
"id": 1,
"name": "Dummy Tool",
"description": "This is a dummy tool for testing purposes.",
"inputs": [],
"teamId": 1,
"module": {
"module": "dummy:ActionDummy",
"version": 1,
"mapper": {},
"parameters": {},
"metadata": {}
}
}
}Last updated

